package org.dromara.system.service;

import org.dromara.system.domain.bo.SysAppletIndexCategoriesBo;
import org.dromara.system.domain.vo.SysAppletIndexCategoriesVo;

import java.util.List;

/**
 * 小程序首页精选分类 Service 接口
 *
 * @Author: Trae
 */
public interface ISysAppletIndexCategoriesService {

    /**
     * 查询全部精选分类
     */
    List<SysAppletIndexCategoriesVo> queryAll();

    /**
     * 根据ID查询
     */
    SysAppletIndexCategoriesVo queryById(Long id);

    /**
     * 修改分类
     */
    Boolean updateByBo(SysAppletIndexCategoriesBo bo);

}
